EndpointsAuthentication
Login User
Authenticate user and return tokens Validates user credentials and returns access and refresh tokens.
POST
Authenticate user and return tokens
Validates user credentials and returns access and refresh tokens.
application/json- body
User login request
email*EmailFormat
emailpassword*PasswordSuccessful Response
application/json- response
Login response
access_token*Access Tokenrefresh_token*Refresh Tokenuser*User information response
curl -X POST "https://example.com/api/login" \ -H "Content-Type: application/json" \ -d '{ "email": "user@example.com", "password": "string" }'{ "access_token": "string", "refresh_token": "string", "user": { "avatar_url": "string", "created_at": "2019-08-24T14:15:22Z", "email": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "preferences": { "accent": "royal", "avatar_color": "royal", "currency": "string", "dashboard": { "hidden": [ "string" ], "order": [ "string" ], "range_days": 7 }, "date_style": "short", "density": "comfortable", "favorites": { "agents": [ "ce0951b6-fac0-429c-be9b-31a1ce20b503" ], "projects": [ "eaf709ed-5ed9-42a1-a0ca-f919f2d075df" ] }, "locale": "string", "sidebar_collapsed": true, "tasks": { "saved_views": [ { "id": "string", "name": "string", "query": "" } ], "view": "list" }, "theme": "light", "timezone": "string", "version": 1 } }}